Versuche 2015.2.1 zu bauen - hat noch jemand das Kernelpaket?


#1

Moin,

wegen der L2TP-Problematik mit manchen Routern versuche ich nochmal Gluon 2015.2.1 zu bauen. Leider habe ich die Sourcedatei linux-3.10.49.tar.xz nicht mehr in der passenden Version.

Ich hatte versucht, die von hier herunterzuladen, aber die nimmt Make nicht, weil der Hash nicht passt. Hat die noch jemand irgendwo liegen? Der Originaldownload auf openwrt ist leider offline.

Viele Grüße
Matthias


#2

10 Minuten in Google, finde auch nichts anderes.


#3

Ich hoffe drauf, dass jemand noch einen alten Buildserver irgendwo hat. Das Problem ist, dass damals der Downloadordner jedes mal gelöscht wurde.


#4

https://map.ff-en.de/linux-3.10.49.tar.xz

Aus dem “dl” Ordner kopiert.

Edit: Aber die hier sollten auch funktionieren
https://www.linux-mips.org/pub/linux/mips/kernel/v3.x/linux-3.10.49.tar.xz
https://ftp.heanet.ie/mirrors/linux/kernel/v3.x/linux-3.10.49.tar.xz


#5

Danke, ich probier’s mal damit :slight_smile:


#6

Just in case:

jenkins@ci-slave-01:~/gluon-2015.1-ffgt/gluon-2015.1-ffgt$ md5sum openwrt/dl/linux-3.10.49.tar.xz
9774e12764e740d49c80eda77d0ef3eb  openwrt/dl/linux-3.10.49.tar.xz

#7

Hallo,

ich hatte heute mal wieder Zeit hier weiterzumachen. Jetzt verlangt Make nach

util-linux-2.24.1.tar.xz

Hat die noch jemand im Repertoire?

Wo kann ich eigentlich sehen, welchen Hash die Datei haben müsste? Dann kann ich auch selbst googeln und die Dateien gegenprüfen ohne jedes mal 30 min auf den Buildprozess zu warten.

Grüße
Matthias


#8

88d46ae23ca599ac5af9cf96b531590f /var/lib/jenkins/gluon-2015.1-ffgt/gluon-2015.1-ffgt/openwrt/dl/util-linux-2.24.1.tar.xz

Ich hab’ das dl-Verzeichnis der internen VM mal gespiegelt nach http://firmware.4830.org/stuff/gluon-2015.1-ffgt/openwrt/dl/, HTH …


#9

Danke für das Hochladen. Damit bin ich fast am Ziel. Ich habe noch den ssid-changer auskommentiert, aber es scheitert noch an diesem Paket:

Collected errors:
 * pkg_run_script: package "gluon-mesh-batman-adv-core" postinst script returned status 1.
 * opkg_configure: gluon-mesh-batman-adv-core.postinst returned 1.
/home/gluon/gits/gluon-alt-2015/Makefile:349: recipe for target 'package_install' failed
make[4]: *** [package_install] Error 255
make[4]: Leaving directory '/home/gluon/gits/gluon-alt-2015/build/ar71xx-generic/openwrt'
/home/gluon/gits/gluon-alt-2015/Makefile:371: recipe for target 'image' failed
make[3]: *** [image] Error 2
make[3]: Leaving directory '/home/gluon/gits/gluon-alt-2015/build/ar71xx-generic/openwrt'
/home/gluon/gits/gluon-alt-2015/Makefile:394: recipe for target 'image/CPE510' failed
make[2]: *** [image/CPE510] Error 2
make[2]: Leaving directory '/home/gluon/gits/gluon-alt-2015/build/ar71xx-generic/openwrt'
/home/gluon/gits/gluon-alt-2015/Makefile:397: recipe for target 'call_image/CPE510' failed
make[1]: *** [call_image/CPE510] Error 2
make[1]: Leaving directory '/home/gluon/gits/gluon-alt-2015/build/ar71xx-generic/openwrt'
Makefile:69: recipe for target 'all' failed
make: *** [all] Error 2
make: Leaving directory '/home/gluon/gits/gluon-alt-2015'

Meine site.mk sieht so aus:

GLUON_SITE_PACKAGES := \                                                                                         ffpb-ebtables-net-rules \                                                                                gluon-announced\                                                                                         gluon-autoupdater \                                                                                      gluon-config-mode-autoupdater \                                                                          gluon-config-mode-contact-info \
        gluon-config-mode-core \
        gluon-config-mode-geo-location \
        gluon-config-mode-hostname \
        gluon-config-mode-tunneldigger \
        gluon-ebtables-filter-multicast \
        gluon-ebtables-filter-ra-dhcp \
        gluon-luci-admin \
        gluon-luci-autoupdater \
        gluon-luci-portconfig \
        gluon-luci-private-wifi \
        gluon-luci-wifi-config \
        gluon-mesh-batman-adv-15 \
        gluon-mesh-vpn-tunneldigger \
        gluon-next-node \
        gluon-radvd \
        gluon-setup-mode \
        gluon-status-page \
        haveged \
        iptables \
        gluon-tunneldigger-watchdog \
        gluon-migrate-vpn \
        iwinfo \
        gluon-config-mode-show-mac \
        gluon-rfkill-disable

GLUON_PRIORITY ?= 3
GLUON_LANGS ?= en de
GLUON_ATH10K_MESH := ibss
GLUON_REGION := eu

Ich habe schon in den Release-Notes gegoogelt, ob ich irgendein Paket umbenennen muss. Aber ich sehe gerade den Fehler nicht. Auffallend ist, dass das angemeckerte Paket nicht direkt in der site.mk steht, sondern eine Abhängigkeit sein muss.

Sieht jemand den Fehler?


#10

Hier stand Käse.

vgl:


#11

Ich will schon Batman 15. Das gab es da doch auch schon.

PS: Batman 14 wäre nicht kompatibel. Ich bin mir ziemlich sicher, dass es in Gluon 2015.1.2 schon Batman15 gab.


#12

Wie gesagt da stand Käse.

Der Verweis auf das gluon Paket war auch nur grundsätzlich gemeint und nicht direkt auf bat14 bezogen.


#13

Hm, das Paket heißt richtig, nur 15 statt 14 wie bei dir.

Hast du noch eine Idee?